DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Ports and Packages

FreeBSD Ports and Packages Installation and upgrading of ports and packages on FreeBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 9th October 2008
edhunter's Avatar
edhunter edhunter is offline
Real Name: Georgi Iovchev
Port Guard
 
Join Date: May 2008
Location: Sofia, Bulgaria
Posts: 41
Thanked 0 Times in 0 Posts
Default libslang2-2.1.4 conflicts with installed package(s): libslang-1.4.9

Hello.
I am trying to install the port nettop, but I am unable because it requires libslang2 that conflicts with alredy installed libslang-1.4.9 (which is requirede by other ports). Ports and porttree are up to date (9.oct). Here is what happens:
Code:
[root@test /usr/local/etc/asterisk]# portinstall nettop
[Gathering depends for net-mgmt/nettop ..... done]
--->  Installing 'libslang2-2.1.4' from a port (devel/libslang2)
...
...
...
--->  Installing the new version via the port
===>  Installing for libslang2-2.1.4

===>  libslang2-2.1.4 conflicts with installed package(s):
      libslang-1.4.9

      They install files into the same place.
      Please remove them first with pkg_delete(1).
*** Error code 1

Stop in /usr/ports/devel/libslang2.
*** Error code 1
I cannot deinstall libslang-1.4.9 - because it is required by other ports ... from the list below asterisk is in use
Code:
[root@test /usr/local/etc/asterisk]# pkg_deinstall libslang*
--->  Deinstalling 'libslang-1.4.9'
pkg_delete: package 'libslang-1.4.9' is required by these other packages
and may not be deinstalled:
asterisk-1.4.21.2_3
asterisk-gui-0.0.1r20070801_3
newt-0.51.0_7
Need help! How to resolve this conflict?
BTW preveously I have met the same conflict on other machine ... but I remember that the port I installed had a option for slang. This time the port i need does not have option for slang.

Last edited by edhunter; 9th October 2008 at 10:49 AM.
Reply With Quote
  #2   (View Single Post)  
Old 9th October 2008
jb_daefo jb_daefo is offline
Package Pilot
 
Join Date: May 2008
Posts: 196
Thanked 5 Times in 5 Posts
Default

/nettop/ changed libslang. I haven't tested
editing its Makefile to revert to libslang-1, don't
know if it will work.
........
here, I will just not update to the latest version yet.
........
Don't know what to do in your case...
__________________
using /LOOKAT/ with /var/db/pkg files and portmaster/aliases/pipes/find/grep to meteorically speedup port upgrades/installs...
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Pre-installed Groups: What are they for? Greg_Morgan OpenBSD General 5 11th October 2009 01:05 AM
Listing of installed packages cyril OpenBSD Packages and Ports 2 9th June 2009 01:24 AM
Installed 4.3 & No GUI warriors OpenBSD General 24 14th August 2008 11:28 AM
Has anyone installed mod_perl erehwon OpenBSD Packages and Ports 5 23rd June 2008 08:11 PM
gnome; librsvg package conflicts bsdnewbie999 OpenBSD General 8 21st June 2008 09:08 AM


All times are GMT. The time now is 08:00 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick